/* ESERCITAZIONE: 
 * La classe RandomList crea e manipola un "oggetto List"
 * contenente numeri interi casuali nell'intervallo [0,99):
 *
 * 1) creazione lista - inserimento di interi generati random
 * 2) stampa dei valori contenuti nella lista
 * 3) ricerca di un elemento nella lista
 */


import java.util.*;


public class RandomList {

  public static void main (String[ ] args) {
     new RandomList().run();
  } // method main


  public void run(){
     List<Integer> randList = new SinglyLinkedList<Integer>();
      
        Random r = new Random();
      
        // 1) Insert 10 random integers, in the range 0...99, into randList:
        for (int i = 0; i < 10; i++)
             randList.add (r.nextInt(100)); // insertion
      
        // 2) Print out randList:
        System.out.println ("\nRandom List:\t" + randList);  
      
	// 3) Verify if this list contains the specified element.
	System.out.print ("\nSee if 22 is in randList:\t");
        if (randList.contains (22))
             System.out.println ("Yes, 22 is in randList.");
        else System.out.println ("No, 22 is not in randList.");
      

        System.out.println (randList.get (3) + " is at index 3");
      
//        System.out.println ("\nRemove the integer " + randList.get (6) + " at index 6.");
//	randList.remove (6);

        System.out.println ("\nInsert a new random integer at index 5.");
        randList.add (5, r.nextInt (100));

        // Print out randList.
        System.out.println (randList);
        
        
 } // method run

} // class RandomList
